Subject: Re: [PATCH ethtool] netlink: rss: retrieve ring count using ETHTOOL_GRXRINGS ioctl

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Sep 2024 17:10:21 +0200

On Mon, 16 Sep 2024 21:38:14 +0200 Michal Kubecek wrote:
> I have asked this multiple times but I never got a direct answer: is
> this only a formal terminology problem or is there an actual difference
> between the two? In particular: is someone aware of an example of
> a driver and device where these two counts differ? Or is there a reason
> to expect such device either exists or will exist in the future?
> 
> (Actually, I seem to remember that the first time I asked, the general
> consensus was that combined + rx is indeed the value we need here -
> which is what current code does. But it has been few years so I would
> have to look it up to be sure.)

The change in perspective comes from the potential for dynamic queue
allocation in the future. We don't have the exact details but it's
possible that we'd choose to treat "channels" as NAPI instances rather
than queues. And more queues can be dynamically opened by the
applications and attached to the existing channels.